Bug 1907467 - python-m2r fails to build with Python 3.10: SystemError: /builddir/build/BUILD/Python-3.10.0a3/Python/getargs.c:2035: bad argument to internal function
Summary: python-m2r fails to build with Python 3.10: SystemError: /builddir/build/BUIL...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mistune
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-14 15:01 UTC by Tomáš Hrnčiar
Modified: 2020-12-15 13:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-15 13:50:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1782288 0 unspecified NEW python-mistune-2.0.0a6 is available 2021-02-22 00:41:40 UTC

Description Tomáš Hrnčiar 2020-12-14 15:01:22 UTC
python-m2r fails to build with Python 3.10.0a3.

Traceback (most recent call last):
  File "/builddir/build/BUILD/m2r-66f4a5a500cdd9fc59085106bff082c9cadafaf3/setup.py", line 15, in <module>
    readme = parse_from_file(readme_file)
  File "/builddir/build/BUILD/m2r-66f4a5a500cdd9fc59085106bff082c9cadafaf3/m2r.py", line 674, in parse_from_file
    output = convert(src, **kwargs)
  File "/builddir/build/BUILD/m2r-66f4a5a500cdd9fc59085106bff082c9cadafaf3/m2r.py", line 666, in convert
    return M2R(**kwargs)(text)
  File "mistune.py", line 970, in mistune.Markdown.__call__
    return self.parse(text)
  File "/builddir/build/BUILD/m2r-66f4a5a500cdd9fc59085106bff082c9cadafaf3/m2r.py", line 524, in parse
    output = super(M2R, self).parse(text)
  File "mistune.py", line 980, in mistune.Markdown.parse
    out = self.output(preprocessing(text))
  File "mistune.py", line 1022, in mistune.Markdown.output
    self.tokens = self.block(text, rules)
  File "mistune.py", line 205, in mistune.BlockLexer.__call__
    return self.parse(text, rules)
  File "mistune.py", line 224, in mistune.BlockLexer.parse
    m = manipulate(text)
  File "mistune.py", line 216, in mistune.BlockLexer.parse.manipulate
    m = rule.match(text)
SystemError: /builddir/build/BUILD/Python-3.10.0a3/Python/getargs.c:2035: bad argument to internal function

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01827124-python-m2r/

For all our attempts to build python-m2r with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-m2r/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Nikola Forró 2020-12-15 09:02:52 UTC
This is a bug in python-mistune that appears to be fixed in upstream version 0.8.4.

Comment 2 Tomáš Hrnčiar 2020-12-15 13:50:52 UTC
You are right, with python-mistune 0.8.4 python-m2r builds alright.

https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-m2r/


Note You need to log in before you can comment on or make changes to this bug.